from flask import Blueprint
from flask_restx import Api

from .tokens import ns as tokens_ns

bp = Blueprint('api', __name__)
authorizations = {
    'basicAuth': {
        'type': 'basic'
    },
    'apiKey': {
        'type': 'apiKey',
        'in': 'header',
        'name': 'Authorization'
    }
}
api = Api(
    bp,
    authorizations=authorizations,
    description='An API to interact with nopaque',
    title='nopaque API',
    version='1.0'
)

api.add_namespace(tokens_ns)
